새로운 문서를 작성 중입니다.새 문서로 이동
ClawOps Docs
API Reference

이메일 발신 도메인 삭제

DELETE
/v1/accounts/{accountId}/email-domains/{emailDomainId}

도메인 등록을 해제하고 공급자 쪽 발신 설정도 함께 제거합니다.

⚠️ 되돌릴 수 없습니다. 같은 도메인을 다시 등록할 수는 있지만 DNS 레코드 값이 새로 발급되므로 CNAME 3건을 다시 심어야 합니다. 잠시 발신을 멈추려는 것이라면 삭제하지 마세요.

삭제 후에는 그 도메인을 다른 계정도 등록할 수 있습니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

emailDomainId*string

도메인 리소스 ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/accounts/AC1a2b3c4d/email-domains/clx9edm00001"
Empty
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ]
}